      subroutine hec_beam
c
c beam chamber reconstruction package
c Created 27-jun-1997  A.Minaenko
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_beam.inc'     !parameters of beam particle trajectory 
      include'hec_datacard.inc' !datacard values
c
      logical read_ok
c
c check: is beam reconstruction package required ?
c
      if (mk_beam .lt. 1) return
c
c if beam chamber reconstruction is called, need 
c to read run header before initialisation 
c
      call hec_runh_pass
c
c initialize some constants
c
      call hec_beam_ini
c
c try to read MWPC alignment constants
c
      call hec_beam_read(read_ok)
      if (read_ok) return
c
c pass over data set to compute the constants
c
      call hec_beam_pass
c
      end

 
              
            
          
