      subroutine hec_cal
c
c calibration package
c pre requires:
c     pedestal package:  uses preferred pedestals
c     max finding package compatible with calibration file used
c
c initialises calibration package by calling for 
c calibration file to be read in
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_cal_coef.inc' !calibration coefficients
      include'hec_datacard.inc' !datacard values
c
c reset calibration coefficients array
c
      call vzero(hec_cal_coef, 5*i_adc_dim)
c
c read calibration file if requested
c
      if (io_cal(1) .ge. 1) call hec_cal_read
c
      end
